Bug 1125063 - "rhc create-app jenkins" should be "rhc create-app jenkins jenkins-1" in rhc/lib/rhc/commands/app.rb
Summary: "rhc create-app jenkins" should be "rhc create-app jenkins jenkins-1" in rhc...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: OpenShift Online
Classification: Red Hat
Component: oc
Version: 2.x
Hardware: Unspecified
OS: Unspecified
medium
low
Target Milestone: ---
: ---
Assignee: Fabiano Franz
QA Contact: libra bugs
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-31 02:14 UTC by Liang Xia
Modified: 2015-07-07 23:48 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-07-07 23:48:57 UTC


Attachments (Terms of Use)

Description Liang Xia 2014-07-31 02:14:46 UTC
Description of problem:
When creating app with option enable-jenkins, but jenkins server failed to create, will show following prompt:
  Steps to complete your configuration:
    1. Installing jenkins and jenkins-client
      $ rhc create-app jenkins
      $ rhc add-cartridge jenkins-client -a app122298
But "rhc create-app jenkins" should be "rhc create-app jenkins jenkins-1"

Version-Release number of selected component (if applicable):
rhc 1.28.4

How reproducible:
always

Steps to Reproduce:
1.Try to create an app with option enable-jenkins, but make jenkins server failed to create.

Actual results:
As in description.

Expected results:
"rhc create-app jenkins" should be "rhc create-app jenkins jenkins-1"

Additional info:

Comment 1 Dan McPherson 2015-06-12 01:46:40 UTC
https://github.com/openshift/rhc/pull/692

Comment 2 Liang Xia 2015-06-12 08:11:39 UTC
Verified on devenv_5546 with rhc 1.36.2, the message has been updated.


Note You need to log in before you can comment on or make changes to this bug.